REM https://curl.haxx.se/download/curl-7.67.0.tar.gz
REM
set P=curl
set V=7.67.0
set B=1

set ARCH=%1

if "%ARCH%"=="x86_64" (
	set OSGEO4W_ROOT=C:\OSGeo4W64
	set VCARCH=x64
) else if "%ARCH%"=="x86" (
	set OSGEO4W_ROOT=C:\OSGeo4W
	set VCARCH=x86
) else (
	echo unsupported arch %ARCH%
	goto error
)

set R=..\..\..\%ARCH%\release\%P%
mkdir %R%

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 14.0\VC\vcvarsall.bat" %VCARCH%
echo on
path %pf%\Microsoft Visual Studio 14.0\Common7\IDE;%PATH%;c:\cygwin\bin

set INCLUDE=%INCLUDE%;%OSGEO4W_ROOT%\apps\openssl\include
set LIB=%LIB%;%OSGEO4W_ROOT%\apps\openssl\lib

if not exist gettickcount.patched (
	patch -p1 -d .. <gettickcount.diff >gettickcount.patched
	if errorlevel 1 (echo patch error & goto error)
)

cd ..\winbuild
nmake /f Makefile.vc mode=dll VC=14 WITH_DEVEL=%OSGEO4W_ROOT% ENABLE_WINSSL=yes WITH_SSL=dll WITH_ZLIB=dll GEN_PDB=yes DEBUG=no MACHINE=%VCARCH%
if errorlevel 1 (echo make error & goto error)

cd ..\osgeo4w

copy setup.hint %R%\setup.hint
copy ..\COPYING %R%\%P%-%V%-%B%.txt

tar -C ../builds/libcurl-vc14-%VCARCH%-release-dll-ssl-dll-zlib-dll-ipv6-sspi-winssl ^
	-cjf %R:\=/%\%P%-%V%-%B%.tar.bz2 ^
	bin include lib
if errorlevel 1 (echo tar error & goto error)

tar -C .. -cjf %R:\=/%/%P%-%V%-%B%-src.tar.bz2 ^
	osgeo4w/package.cmd ^
	osgeo4w/setup.hint ^
	osgeo4w/gettickcount.diff
if errorlevel 1 (echo src tar error & goto error)

exit

:error
exit /b 1
